<?xml version="1.0" encoding="UTF-8"?>
<!-- 1.6.00.00 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
                exclude-result-prefixes="xs" version="2.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:strip-space elements="*"/>
    <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
    <xsl:param name="lang" select="/*/@Lang"/>
    <xsl:template name="locale-text">
        <xsl:param name="key"/>
        <xsl:choose>
            <xsl:when test="$key = 'depositInterestReport'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Deposit Interest Accrual and Payment Report'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Отчет о начисленных и выплаченных процентах  по депозитным договорам'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'begDate'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Date from:'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'за период c'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'endDate'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'till:'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'по'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberName'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member name'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Наименование Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Идентификатор Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'currencyCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Currency Code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Код валюты'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'operationKind'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Operation kind'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Вид операции'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'transactionType'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Transaction type'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Тип'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'documentNumber'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Document number'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Номер документа'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'transactionDate'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Transaction Date'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дата операции'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'information'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Information'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Комментарии'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'debit'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Debit'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дебет'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'credit'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Credit'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Кредит'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'total'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Total Turnover'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Всего оборотов'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'openingBalance'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Opening Balance on Accrued Interest under Deposits'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Входящий остаток по начисленным процентам по депозитным договорам'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'closingBalance'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Closing Balance on Accrued Interest under Deposits'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Исходящий остаток по начисленным процентам по депозитным договорам'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'inCurrency'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'in Foreign Currency'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'в иностранной валюте'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'inRubles'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'in Russian Rubles'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'в нац. эквиваленте'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$key"/>
			</xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="pow">
        <xsl:param name="base"/>
        <xsl:param name="exponent"/>
        <xsl:param name="result"/>
        <xsl:choose>
            <xsl:when test="$exponent = 0">
                <xsl:value-of select="1"/>
            </xsl:when>
            <xsl:when test="$exponent = 1">
                <xsl:value-of select="$result * $base"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="pow">
                    <xsl:with-param name="base" select="$base"/>
                    <xsl:with-param name="exponent" select="$exponent - 1"/>
                    <xsl:with-param name="result" select="$result * $base"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="format-amount">
        <xsl:param name="asset"/>
        <xsl:param name="amount"/>
        <xsl:param name="scale"/>
        <xsl:choose>
            <xsl:when test="$scale and $scale!=''">
                <xsl:variable name="divider">
                    <xsl:call-template name="pow">
                        <xsl:with-param name="base" select="10"/>
                        <xsl:with-param name="exponent" select="$scale"/>
                        <xsl:with-param name="result" select="1"/>
                    </xsl:call-template>
                </xsl:variable>
                <xsl:value-of select="format-number($amount div $divider, substring(concat('###,##0.', '0000'), 1, 8+$scale))"/>
            </xsl:when>
            <xsl:when test="$asset = 'SLV' or $asset = 'JPY'">
                <xsl:value-of select="format-number($amount, '###,##0')"/>
            </xsl:when>
            <xsl:when test="$asset = 'GLD' or $asset = 'PLD' or $asset = 'PLT'">
                <xsl:value-of select="format-number($amount div 10, '###,##0.0')"/>
            </xsl:when>
            <xsl:when test="$asset = 'XAG'">
                <xsl:value-of select="format-number($amount div 1000, '###,##0.000')"/>
            </xsl:when>
            <xsl:when test="$asset = 'XAU'">
                <xsl:value-of select="format-number($amount div 10000, '###,##0.0000')"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="format-number($amount div 100, '###,##0.00')"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="format-date">
        <xsl:param name="yyyy-mm-dd"/>
        <xsl:choose>
            <xsl:when test="string-length($yyyy-mm-dd)>0">
                <xsl:variable name="yyyy" select="substring-before($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm-dd" select="substring-after($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm" select="substring-before($mm-dd, '-')"/>
                <xsl:variable name="dd" select="substring-after($mm-dd, '-')"/>
                <xsl:value-of select="concat($dd, '.',$mm,'.',$yyyy)"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="/">
        <html>
            <head>
                <meta charset="UTF-8"/>
                <style type="text/css">
                    @page {size: landscape;}
                    body { margin: 0; font-family: Arial, sans-serif; font-size:14px; }
                    table { border-collapse: collapse; font-size: 12px;}
                    td {mso-number-format:\@ !important; vertical-align:middle; mso-char-indent:0;}
                    .sum { text-align: right !important; }
                    .txt { text-align: left !important; }
                    .notice td, .notice th { border: 1px solid black; text-align: center; }
                    .notice th { background-color: #eee; text-align:center; }
                    .accent { font-weight: bold; font-size: 11pt; line-height: 1; }
                    .data { font-size: 11pt; vertical-align: top;}
                    .move { margin: 10mm; line-height:18px; }
                </style>
            </head>
            <body>
				<xsl:apply-templates select="*[local-name() = 'DepositInterest']"/>
                <div class="move">
                    <br/>
                    <span>
                        <xsl:choose>
                            <xsl:when test="$lang = 'en'">
                                This document was transmitted in electronic form and signed by an enhanced qualified electronic
                                signature of the authorized person of non-banking credit institution - Central Counterparty National
                                Clearing Centre (Joint-Stock Company) in the electronic document management subsystem of CCP NCC (JSC).
                            </xsl:when>
                            <xsl:otherwise>
                                Данный документ передан в электронном виде и подписан усиленной квалифицированной электронной подписью
                                уполномоченного лица Небанковской кредитной организации-центрального контрагента «Национальный Клиринговый Центр»
                                (Акционерное общество) в подсистеме электронного документооборота НКО НКЦ (АО).
                            </xsl:otherwise>
                        </xsl:choose>
                    </span>
                </div>
            </body>
        </html>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'DepositInterest']">
		<div class="move">
			<center>
				<span class="accent">
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'depositInterestReport'"/>
					</xsl:call-template>
				</span>
				<br/>
				<span class="accent">
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'begDate'"/>
					</xsl:call-template>
					<xsl:text>&#160;</xsl:text>
					<xsl:call-template name="format-date">
						<xsl:with-param name="yyyy-mm-dd" select="@BegDate"/>
					</xsl:call-template>
					<xsl:text>&#160;</xsl:text>
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'endDate'"/>
					</xsl:call-template>
					<xsl:text>&#160;</xsl:text>
					<xsl:call-template name="format-date">
						<xsl:with-param name="yyyy-mm-dd" select="@EndDate"/>
					</xsl:call-template>
				</span>
				<br/>
				<br/>
			</center>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'clearingMemberName'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
				<xsl:value-of select="@MemberName"/>
			</span>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'clearingMemberCode'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
				<xsl:value-of select="@Member"/>
			</span>
			<br/>
			<br/>
			<xsl:apply-templates select="*[local-name() = 'InterestAcc']"/>
		</div>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'InterestAcc']">
		<xsl:variable name="Asset" select="@Asset"/>
		<xsl:variable name="Scale" select="@Scale"/>
		<span class="accent">
			<xsl:text>&#160;</xsl:text>
			<xsl:value-of select="@Account"/>
		</span>
		<xsl:if test="@AccountKind">
			<br/>
			<span class="accent">
				<xsl:text>&#160;</xsl:text>
				<xsl:value-of select="@AccountKind"/>
			</span>
		</xsl:if>	
		<xsl:if test="$Asset">
			<br/>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'currencyCode'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
				<xsl:value-of select="$Asset"/>
			</span>
		</xsl:if>	
		<br/>
		<br/>
		<table class="notice" width="100%" cellpadding="4">
			<col width="12%"/>
			<col width="10%"/>
			<col width="8%"/>
			<col width="12%"/>
			<col width="34%"/>
			<col width="12%"/>
			<col width="12%"/>
			<thead>
				<tr>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'transactionDate'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'operationKind'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'transactionType'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'documentNumber'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'information'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'debit'"/>
						</xsl:call-template>
					</th>
					<th>
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'credit'"/>
						</xsl:call-template>
					</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td colspan="5" class="sum">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'openingBalance'"/>
						</xsl:call-template>
						<xsl:if test="$Asset != 'RUB'">
							<xsl:text>&#160;</xsl:text>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inCurrency'"/>
							</xsl:call-template>
							<br />
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inRubles'"/>
							</xsl:call-template>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:if test="not(@OpeningBalance&gt;=0.00)">
							<xsl:call-template name="format-amount">
								<xsl:with-param name="amount" select="0-@OpeningBalance"/>
								<xsl:with-param name="asset" select="$Asset"/>
								<xsl:with-param name="scale" select="$Scale"/>
							</xsl:call-template>
							<xsl:if test="$Asset != 'RUB'">
								<xsl:if test="@OpeningBalanceRub">
									<br />
									<xsl:call-template name="format-amount">
										<xsl:with-param name="amount" select="0-@OpeningBalanceRub"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:if test="(@OpeningBalance&gt;=0.00)">
							<xsl:call-template name="format-amount">
								<xsl:with-param name="amount" select="@OpeningBalance"/>
								<xsl:with-param name="asset" select="$Asset"/>
								<xsl:with-param name="scale" select="$Scale"/>
							</xsl:call-template>
							<xsl:if test="$Asset != 'RUB'">
								<xsl:if test="@OpeningBalanceRub">
									<br />
									<xsl:call-template name="format-amount">
										<xsl:with-param name="amount" select="@OpeningBalanceRub"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</td>
				</tr>
				<xsl:apply-templates select="*[local-name() = 'InterestInfo']">
					<xsl:with-param name="asset" select="$Asset"/>
					<xsl:with-param name="scale" select="$Scale"/>
				</xsl:apply-templates>
				<tr>
					<td colspan="5" class="sum">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'total'"/>
						</xsl:call-template>
						<xsl:if test="$Asset != 'RUB'">
							<xsl:text>&#160;</xsl:text>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inCurrency'"/>
							</xsl:call-template>
							<br />
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inRubles'"/>
							</xsl:call-template>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@TurnoverDb))"/>
							<xsl:with-param name="asset" select="$Asset"/>
							<xsl:with-param name="scale" select="$Scale"/>
						</xsl:call-template>
						<xsl:if test="$Asset != 'RUB'">
							<xsl:if test="@TurnoverDbRub">
								<br />
								<xsl:call-template name="format-amount">
									<xsl:with-param name="amount" select="number(string(@TurnoverDbRub))"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@TurnoverCr))"/>
							<xsl:with-param name="asset" select="$Asset"/>
							<xsl:with-param name="scale" select="$Scale"/>
						</xsl:call-template>
						<xsl:if test="$Asset != 'RUB'">
							<xsl:if test="@TurnoverCrRub">
								<br />
								<xsl:call-template name="format-amount">
									<xsl:with-param name="amount" select="number(string(@TurnoverCrRub))"/>
								</xsl:call-template>
							</xsl:if>
						</xsl:if>
					</td>
				</tr>
				<tr>
					<td colspan="5" class="sum">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'closingBalance'"/>
						</xsl:call-template>
						<xsl:if test="$Asset != 'RUB'">
							<xsl:text>&#160;</xsl:text>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inCurrency'"/>
							</xsl:call-template>
							<br />
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'inRubles'"/>
							</xsl:call-template>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:if test="not(@ClosingBalance&gt;=0.00)">
							<xsl:call-template name="format-amount">
								<xsl:with-param name="amount" select="0-@ClosingBalance"/>
								<xsl:with-param name="asset" select="$Asset"/>
								<xsl:with-param name="scale" select="$Scale"/>
							</xsl:call-template>
							<xsl:if test="$Asset != 'RUB'">
								<xsl:if test="@ClosingBalanceRub">
									<br />
									<xsl:call-template name="format-amount">
										<xsl:with-param name="amount" select="0-@ClosingBalanceRub"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</td>
					<td class="sum">
						<xsl:if test="(@ClosingBalance&gt;=0.00)">
							<xsl:call-template name="format-amount">
								<xsl:with-param name="amount" select="@ClosingBalance"/>
								<xsl:with-param name="asset" select="$Asset"/>
								<xsl:with-param name="scale" select="$Scale"/>
							</xsl:call-template>
							<xsl:if test="$Asset != 'RUB'">
								<xsl:if test="@ClosingBalanceRub">
									<br />
									<xsl:call-template name="format-amount">
										<xsl:with-param name="amount" select="@ClosingBalanceRub"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:if>
						</xsl:if>
					</td>
				</tr>
			</tbody>
		</table>
		<br/>
		<br/>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'InterestInfo']">
        <xsl:param name="asset"/>
        <xsl:param name="scale"/>
		<tr>
			<td>
				<xsl:call-template name="format-date">
					<xsl:with-param name="yyyy-mm-dd" select="@TransDate"/>
				</xsl:call-template>
			</td>
			<td>
				<xsl:value-of select="@OperKind"/>
			</td>
			<td>
				<xsl:value-of select="@TranType"/>
			</td>
			<td>
				<xsl:value-of select="@Trans"/>
			</td>
			<td class="txt">
				<xsl:value-of select="@OperKindName"/>&#160;<xsl:value-of select="@DepositNum"/>
			</td>
			<td class="sum">
				<xsl:if test="@SumDb">
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@SumDb))"/>
							<xsl:with-param name="asset" select="$asset"/>
							<xsl:with-param name="scale" select="$scale"/>
						</xsl:call-template>
					</span>
				</xsl:if>
				<xsl:if test="$asset != 'RUB'">
				<xsl:if test="@SumDbRub">
					<br />
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@SumDbRub))"/>
						</xsl:call-template>
					</span>
				</xsl:if>
				</xsl:if>
			</td>
			<td class="sum">
				<xsl:if test="@SumCr">
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@SumCr))"/>
							<xsl:with-param name="asset" select="$asset"/>
							<xsl:with-param name="scale" select="$scale"/>
						</xsl:call-template>
					</span>
				</xsl:if>
				<xsl:if test="$asset != 'RUB'">
				<xsl:if test="@SumCrRub">
					<br />
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@SumCrRub))"/>
						</xsl:call-template>
					</span>
				</xsl:if>
				</xsl:if>
			</td>
		</tr>
    </xsl:template>
</xsl:stylesheet>
