<?xml version="1.0" encoding="UTF-8"?>
<!-- 1.6.07.01 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
				xmlns:oed="urn:moex-com:ncc:oed"
                exclude-result-prefixes="xs oed" version="2.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:strip-space elements="*"/>
    <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
    <xsl:param name="lang" select="/*/@Lang"/>
    <xsl:template name="locale-text">
        <xsl:param name="key"/>
        <xsl:choose>
            <xsl:when test="$key = 'Receipt'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Request receipt'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Квитанция на запрос'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'docDate'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Document date'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дата документа'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'docNum'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Document number'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Номер документа'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'status'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Status'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Статус'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'signedYes'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Signed'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Документ подписан'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'signedNo'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Not signed'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Документ не подписан'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberName'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member name'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Наименование Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Идентификатор Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
			<xsl:when test="$key = 'object'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Created object'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Созданный объект'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'sCode'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Settlement account'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Расчетный код'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'sCode2'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'2nd Level Settlement account'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Расчетный код 2-го уровня'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'sCode3'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'3rd Level Settlement account'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Расчетный код 3-го уровня'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'trdAcc'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Trade account name'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Имя ТКС'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'payProp'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Unique identifier of the details'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Уникальный идентификатор реквизитов'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'attorneyPin'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'The secret key'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Секретная строка'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'templateId'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Unique Template identifier'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Уникальный идентификатор шаблона'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			
			<xsl:when test="$key = 'initialDoc'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Initial document'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Исходный документ'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'docTypeId'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Type'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Тип'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'execInfo'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Information on the request execution'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Информация об исполнении запроса'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'executed'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Executed'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Исполнен'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'execError'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Execution error'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Ошибка исполнения'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'errCode'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Error code'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Код ошибки'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'errMsg'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Error message'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Диагностическое сообщение'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>

            <xsl:otherwise>
				<xsl:value-of select="$key"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

	<xsl:template name="format-amount">
		<xsl:param name="amount"/>
		<xsl:value-of select="format-number($amount div 100, '###,##0.00')"/>
	</xsl:template>

    <xsl:template name="format-date">
        <xsl:param name="yyyy-mm-dd"/>
        <xsl:choose>
            <xsl:when test="string-length($yyyy-mm-dd)>0">
                <xsl:variable name="yyyy" select="substring-before($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm-dd" select="substring-after($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm" select="substring-before($mm-dd, '-')"/>
                <xsl:variable name="dd" select="substring-after($mm-dd, '-')"/>
                <xsl:value-of select="concat($dd, '.',$mm,'.',$yyyy)"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="/">
        <html>
            <head>
                <meta charset="UTF-8"/>
                <style type="text/css">
                    @page {size: landscape;}
                    body { margin: 0; font-family: Arial, sans-serif; font-size:14px; }
                    table { border-collapse: collapse; font-size: 12px;}
                    td {mso-number-format:\@ !important; vertical-align:middle; mso-char-indent:0;}
                    .sum { text-align: right !important; }
                    .txt { text-align: left !important; }
                    .notice td, .notice th { border: 1px solid black; text-align: center; }
                    .notice th { background-color: #eee; text-align:center; }
                    .accent { font-weight: bold; font-size: 11pt; line-height: 1; }
                    .data { font-size: 11pt; vertical-align: top;}
                    .move { margin: 10mm; line-height:18px; }
					.col-1, .col-2 {position: relative;float: left;}
					.col-2 {width: 100%;}
					.col-1 {width: 50%;}
                    .upper { text-transform: uppercase; }
                </style>
            </head>
            <body>
				<xsl:apply-templates select="*[local-name() = 'Receipt']"/>
                <div class="move">
                    <br/>
					<div class="row">
						<div class="col-2">
							<span>
								<xsl:choose>
									<xsl:when test="$lang = 'en'">
										This document was transmitted in electronic form and signed by an enhanced qualified electronic
										signature of the authorized person of non-banking credit institution - Central Counterparty National
										Clearing Centre (Joint-Stock Company) in the electronic document management subsystem of CCP NCC (JSC).
									</xsl:when>
									<xsl:otherwise>
										Данный документ передан в электронном виде и подписан усиленной квалифицированной электронной подписью
										уполномоченного лица Небанковской кредитной организации-центрального контрагента «Национальный Клиринговый Центр»
										(Акционерное общество) в подсистеме электронного документооборота НКО НКЦ (АО).
									</xsl:otherwise>
								</xsl:choose>
							</span>
						</div>
					</div>
                </div>
            </body>
        </html>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'Receipt']">
		<div class="move">
			<center>
				<span class="accent upper">
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'Receipt'"/>
					</xsl:call-template>
				</span>
				<br/>
				<br/>
			</center>
			<div class="row">
				<div class="col-1">
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'docDate'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:call-template name="format-date">
						<xsl:with-param name="yyyy-mm-dd" select="@DocDate"/>
					</xsl:call-template>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'docNum'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@DocNum"/>
					<br/>
					<xsl:if test="@MemberName">
						<span class="accent">
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'clearingMemberName'"/>
							</xsl:call-template>
							<xsl:text>&#58;&#160;</xsl:text>
						</span>
						<xsl:value-of select="@MemberName"/>
						<br/>
					</xsl:if>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'clearingMemberCode'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@Member"/>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'status'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:choose>
						<xsl:when test="*[local-name() = 'Signature']">
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'signedYes'"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'signedNo'"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
					<br/>
					<br/>
				</div>
				<xsl:apply-templates select="*[local-name() = 'ReplyInfo']"/>
			</div>
		</div>
		
		<xsl:if test="@SCode or @SCode2 or @SCode3 or @TrdAcc or @PayProp or @AttorneyPin or @TemplateId">
			<div class="move">
				<div class="row">
					<div class="col-2">
						<span class="accent">
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'object'"/>
							</xsl:call-template>
						</span>
						<br/>
						<xsl:if test="@SCode">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'sCode'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@SCode"/>
							<br/>
						</xsl:if>
						<xsl:if test="@SCode2">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'sCode2'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@SCode2"/>
							<br/>
						</xsl:if>
						<xsl:if test="@SCode3">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'sCode3'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@SCode3"/>
							<br/>
						</xsl:if>
						<xsl:if test="@TrdAcc">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'trdAcc'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@TrdAcc"/>
							<br/>
						</xsl:if>
						<xsl:if test="@PayProp">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'payProp'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@PayProp"/>
							<br/>
						</xsl:if>
						<xsl:if test="@AttorneyPin">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'attorneyPin'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@AttorneyPin"/>
							<br/>
						</xsl:if>
						<xsl:if test="@TemplateId">
							<span class="accent">
								<xsl:call-template name="locale-text">
									<xsl:with-param name="key" select="'templateId'"/>
								</xsl:call-template>
								<xsl:text>&#58;&#160;</xsl:text>
							</span>
							<xsl:value-of select="@TemplateId"/>
							<br/>
						</xsl:if>
						<br/>
					</div>
				</div>
			</div>
		</xsl:if>
		<xsl:apply-templates select="*[local-name() = 'InitialED']"/>

    </xsl:template>

   	<xsl:template match="*[local-name() = 'ReplyInfo']">
		<div class="col-1">
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'execInfo'"/>
				</xsl:call-template>
			</span>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'status'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
			</span>
			<xsl:choose>
				<xsl:when test="@ReplyCode=0">
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'executed'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'execError'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
			<br/>
			<xsl:if test="@ReplyCode!=0">
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'errCode'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@ReplyCode"/>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'errMsg'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@ReplyMessage"/>
					<br/>
			</xsl:if>
		</div>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'InitialED']">
		<div class="move">
			<div class="row">
				<div class="col-2">
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'initialDoc'"/>
						</xsl:call-template>
					</span>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'docDate'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:call-template name="format-date">
						<xsl:with-param name="yyyy-mm-dd" select="@DocDate"/>
					</xsl:call-template>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'docNum'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@DocNum"/>
					<br/>
					<span class="accent">
						<xsl:call-template name="locale-text">
							<xsl:with-param name="key" select="'docTypeId'"/>
						</xsl:call-template>
						<xsl:text>&#58;&#160;</xsl:text>
					</span>
					<xsl:value-of select="@DocTypeId"/>
					<br/>
					<br/>
				</div>
			</div>
		</div>
    </xsl:template>
    
</xsl:stylesheet>
