<?xml version="1.0" encoding="UTF-8"?>
<!-- 1.6.00.00 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"
                exclude-result-prefixes="xs" version="2.0" xmlns="http://www.w3.org/1999/xhtml">

    <xsl:strip-space elements="*"/>

    <!--<xsl:output method="html" omit-xml-declaration="yes" indent="yes"/>-->
    <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>

    <xsl:param name="lang" select="/*/@Lang"/>


    <xsl:template name="locale-text">
        <xsl:param name="key"/>
        <xsl:choose>
            <xsl:when test="$key = 'cashFlowStatement'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'CASH FLOW STATEMENT'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'ОТЧЕТ О ДВИЖЕНИИ ДЕНЕЖНЫХ СРЕДСТВ'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'dateFor'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Date:'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'за'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberName'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member name'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Наименование Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Идентификатор Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'settlementCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Settlement Code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Расчетный код'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'currencyCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Currency Code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Код валюты'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'operationKind'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Operation kind'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Вид операции'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'transactionType'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Transaction type'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Тип'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'documentNumber'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Document number'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Номер документа'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'correspondentAccount'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Correspondent account'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Счет - корреспондент'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'information'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Information'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Комментарии'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'debit'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Debit'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дебет'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'credit'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Credit'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Кредит'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'date'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Date'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дата'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'correspondentBic'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'RCBIC / BIC'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'БИК / BIC'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'correspondentAcc'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Payer’s account / &#xa;Beneficiary’s account'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Лицевой счет'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'correspondentName'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Payer / Beneficiary / &#xa; Corresponding account'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Наименование плательщика / Получателя / &#xa;Корреспондирующего счета'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'intermediary'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Intermediary'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Посредник'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'accountWithInstitution'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Account With Institution'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Банк бенефициара'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'total'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Total'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Итого'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'openingBalance'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Opening Balance'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Входящий остаток'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'closingBalance'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Closing Balance'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Исходящий остаток'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="pow">
        <xsl:param name="base"/>
        <xsl:param name="exponent"/>
        <xsl:param name="result"/>
        <xsl:choose>
            <xsl:when test="$exponent = 0">
                <xsl:value-of select="1"/>
            </xsl:when>
            <xsl:when test="$exponent = 1">
                <xsl:value-of select="$result * $base"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="pow">
                    <xsl:with-param name="base" select="$base"/>
                    <xsl:with-param name="exponent" select="$exponent - 1"/>
                    <xsl:with-param name="result" select="$result * $base"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="format-amount">
        <xsl:param name="asset"/>
        <xsl:param name="amount"/>
        <xsl:param name="scale"/>
        <xsl:choose>
            <xsl:when test="$scale and $scale!=''">
                <xsl:variable name="divider">
                    <xsl:call-template name="pow">
                        <xsl:with-param name="base" select="10"/>
                        <xsl:with-param name="exponent" select="$scale"/>
                        <xsl:with-param name="result" select="1"/>
                    </xsl:call-template>
                </xsl:variable>
                <xsl:value-of select="format-number($amount div $divider, substring(concat('###,##0.', '0000'), 1, 8+$scale))"/>
            </xsl:when>
            <xsl:when test="$asset = 'SLV' or $asset = 'JPY'">
                <xsl:value-of select="format-number($amount, '###,##0')"/>
            </xsl:when>
            <xsl:when test="$asset = 'GLD' or $asset = 'PLD' or $asset = 'PLT'">
                <xsl:value-of select="format-number($amount div 10, '###,##0.0')"/>
            </xsl:when>
            <xsl:when test="$asset = 'XAG'">
                <xsl:value-of select="format-number($amount div 1000, '###,##0.000')"/>
            </xsl:when>
            <xsl:when test="$asset = 'XAU'">
                <xsl:value-of select="format-number($amount div 10000, '###,##0.0000')"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="format-number($amount div 100, '###,##0.00')"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="format-date">
        <xsl:param name="yyyy-mm-dd"/>
        <xsl:choose>
            <xsl:when test="string-length($yyyy-mm-dd)>0">
                <xsl:variable name="yyyy" select="substring-before($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm-dd" select="substring-after($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm" select="substring-before($mm-dd, '-')"/>
                <xsl:variable name="dd" select="substring-after($mm-dd, '-')"/>
                <xsl:value-of select="concat($dd, '.',$mm,'.',$yyyy)"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="/">
        <html>
            <head>
                <meta charset="UTF-8"/>
                <style type="text/css">
                    @page {
                    size: landscape;
                    }

                    body { margin: 0; font-family: Arial, sans-serif; font-size:14px; }
                    table { border-collapse: collapse; font-size: 12px;}
                    td {mso-number-format:\@ !important; vertical-align:middle; mso-char-indent:0;}

                    .sum { text-align: right !important; }
                    .txt { text-align: left !important; }

                    .notice td, .notice th { border: 1px solid black; text-align: center; }
                    .notice th { background-color: #eee; text-align:center; }

                    .accent { font-weight: bold; font-size: 11pt; line-height: 1; }

                    .move { margin: 10mm; line-height:18px; }
                </style>
            </head>
            <body>
                <xsl:for-each select="/*">

                    <xsl:variable name="Asset" select="@Asset"/>
                    <xsl:variable name="Scale" select="@Scale"/>

                    <div class="move">
                        <center>
                            <span class="accent">
                                <xsl:call-template name="locale-text">
                                    <xsl:with-param name="key" select="'cashFlowStatement'"/>
                                </xsl:call-template>
                            </span>
                            <br/>
                            <span class="accent">
                                <xsl:call-template name="locale-text">
                                    <xsl:with-param name="key" select="'dateFor'"/>
                                </xsl:call-template>
                                <xsl:text>&#160;</xsl:text>
                                <xsl:call-template name="format-date">
                                    <xsl:with-param name="yyyy-mm-dd" select="@StatementDate"/>
                                </xsl:call-template>
                            </span>
                            <br/>
                            <br/>
                        </center>
                        <span class="accent">
                            <xsl:call-template name="locale-text">
                                <xsl:with-param name="key" select="'clearingMemberName'"/>
                            </xsl:call-template>
                            <xsl:text>&#58;&#160;</xsl:text>
                            <xsl:value-of select="@MemberName"/>
                        </span>
                        <br/>
                        <span class="accent">
                            <xsl:call-template name="locale-text">
                                <xsl:with-param name="key" select="'clearingMemberCode'"/>
                            </xsl:call-template>
                            <xsl:text>&#58;&#160;</xsl:text>
                            <xsl:value-of select="@Member"/>
                        </span>
                        <br/>
                        <span class="accent">
                            <xsl:call-template name="locale-text">
                                <xsl:with-param name="key" select="'settlementCode'"/>
                            </xsl:call-template>
                            <xsl:text>&#58;&#160;</xsl:text>
                            <xsl:value-of select="@SCode"/>
                        </span>
                        <br/>
                        <br/>
                        <span class="accent">
                            <xsl:text>&#160;</xsl:text>
                            <xsl:value-of select="@Account"/>
                        </span>
                        <br/>
                        <span class="accent">
                            <xsl:text>&#160;</xsl:text>
                            <xsl:value-of select="@AccountName"/>
                        </span>
                        <xsl:choose>
                            <xsl:when test="$Asset">
                                <br/>
                                <br/>
                                <span class="accent">
                                    <xsl:call-template name="locale-text">
                                        <xsl:with-param name="key" select="'currencyCode'"/>
                                    </xsl:call-template>
                                    <xsl:text>&#58;&#160;</xsl:text>
                                    <xsl:value-of select="$Asset"/>
                                </span>
                            </xsl:when>
                        </xsl:choose>
                        <br/>
                        <br/>
                        <table class="notice" width="100%" cellpadding="4">
                            <col width="10%"/>
                            <col width="10%"/>
                            <col width="10%"/>
                            <col width="10%"/>
                            <col width="10%"/>
                            <col width="20%"/>
                            <col width="10%"/>
                            <col width="10%"/>
                            <col width="10%"/>
                            <thead>
                                <tr>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'operationKind'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'transactionType'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'documentNumber'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th colspan="3">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'correspondentAccount'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'information'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'debit'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th rowspan="2">
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'credit'"/>
                                        </xsl:call-template>
                                    </th>
                                </tr>
                                <tr>
                                    <th>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'correspondentBic'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'correspondentAcc'"/>
                                        </xsl:call-template>
                                    </th>
                                    <th>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'correspondentName'"/>
                                        </xsl:call-template>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'openingBalance'"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="sum">
                                        <xsl:if test="not((@OpeningBalance&gt;0.00) or (@OpeningBalance=0.00 and @AccountType='P'))">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount" select="0-@OpeningBalance"/>
                                                <xsl:with-param name="asset" select="$Asset"/>
                                                <xsl:with-param name="scale" select="$Scale"/>
                                            </xsl:call-template>
                                        </xsl:if>
                                    </td>
                                    <td class="sum">
                                        <xsl:if test="(@OpeningBalance&gt;0.00) or (@OpeningBalance=0.00 and @AccountType='P')">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount" select="@OpeningBalance"/>
                                                <xsl:with-param name="asset" select="$Asset"/>
                                                <xsl:with-param name="scale" select="$Scale"/>
                                            </xsl:call-template>
                                        </xsl:if>
                                    </td>
                                </tr>
                                <xsl:choose>
                                    <xsl:when test="$Asset='RUB'">
                                        <!--Рублевые транзакции в блоке TransInfo-->
                                        <xsl:for-each select="*[local-name() = 'TransInfo']">
                                            <tr>
                                                <xsl:choose>
                                                    <xsl:when test="*[local-name() = 'AccountRU']">
                                                        <xsl:for-each select="*[local-name() = 'AccountRU']">
                                                            <td>
                                                                <xsl:value-of select="../@OperKind"/>
                                                            </td>
                                                            <td>
                                                                <xsl:value-of select="../@TranType"/>
                                                            </td>
                                                            <td>
                                                                <xsl:value-of select="../@Trans"/>
                                                            </td>
                                                            <!--Атрибуты для кредита и дебета-->
                                                            <xsl:if test="../@DC='D'">
                                                                <xsl:for-each select="*[local-name() = 'Payee']">
                                                                    <td>
                                                                        <xsl:text>&#160;</xsl:text>
                                                                        <xsl:value-of
                                                                                select="*[local-name() = 'Bank']/@*[name()='BIC' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                    <td>
                                                                        <xsl:text>&#160;</xsl:text>
                                                                        <xsl:value-of
                                                                                select="@*[name()='PersonalAcc' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                    <td class="txt">
                                                                        <xsl:value-of
                                                                                select="@*[name()='Name' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                </xsl:for-each>
                                                            </xsl:if>
                                                            <xsl:if test="../@DC!='D'">
                                                                <xsl:for-each select="*[local-name() = 'Payer']">
                                                                    <td>
                                                                        <xsl:text>&#160;</xsl:text>
                                                                        <xsl:value-of
                                                                                select="*[local-name() = 'Bank']/@*[name()='BIC' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                    <td>
                                                                        <xsl:text>&#160;</xsl:text>
                                                                        <xsl:value-of
                                                                                select="@*[name()='PersonalAcc' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                    <td class="txt">
                                                                        <xsl:value-of
                                                                                select="@*[name()='Name' and string-length(normalize-space(name())) > 0][1]"/>
                                                                    </td>
                                                                </xsl:for-each>
                                                            </xsl:if>
                                                            <td class="txt">
                                                                <xsl:value-of select="../@Details"/>
                                                            </td>
                                                            <td class="sum">
                                                                <xsl:if test="../@DC='D'">
                                                                    <span>
                                                                        <xsl:call-template name="format-amount">
                                                                            <xsl:with-param name="amount" select="number(string(../@Sum))"/>
                                                                            <xsl:with-param name="asset" select="$Asset"/>
                                                                            <xsl:with-param name="scale" select="$Scale"/>
                                                                        </xsl:call-template>
                                                                    </span>
                                                                </xsl:if>
                                                            </td>
                                                            <td class="sum">
                                                                <xsl:if test="../@DC!='D'">
                                                                    <span>
                                                                        <xsl:call-template name="format-amount">
                                                                            <xsl:with-param name="amount" select="number(string(../@Sum))"/>
                                                                            <xsl:with-param name="asset" select="$Asset"/>
                                                                            <xsl:with-param name="scale" select="$Scale"/>
                                                                        </xsl:call-template>
                                                                    </span>
                                                                </xsl:if>
                                                            </td>
                                                        </xsl:for-each>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <td>
                                                            <xsl:value-of select="@OperKind"/>
                                                        </td>
                                                        <td>
                                                            <xsl:value-of select="@TranType"/>
                                                        </td>
                                                        <td>
                                                            <xsl:value-of select="@Trans"/>
                                                        </td>
                                                        <td/>
                                                        <td/>
                                                        <td/>
                                                        <td class="txt">
                                                            <xsl:value-of select="@Details"/>
                                                        </td>
                                                        <td class="sum">
                                                            <xsl:if test="@DC='D'">
                                                                <span>
                                                                    <xsl:call-template name="format-amount">
                                                                        <xsl:with-param name="amount" select="number(string(@Sum))"/>
                                                                        <xsl:with-param name="asset" select="$Asset"/>
                                                                        <xsl:with-param name="scale" select="$Scale"/>
                                                                    </xsl:call-template>
                                                                </span>
                                                            </xsl:if>
                                                        </td>
                                                        <td class="sum">
                                                            <xsl:if test="@DC!='D'">
                                                                <span>
                                                                    <xsl:call-template name="format-amount">
                                                                        <xsl:with-param name="amount" select="number(string(@Sum))"/>
                                                                        <xsl:with-param name="asset" select="$Asset"/>
                                                                        <xsl:with-param name="scale" select="$Scale"/>
                                                                    </xsl:call-template>
                                                                </span>
                                                            </xsl:if>
                                                        </td>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </tr>
                                        </xsl:for-each>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <!--Валютные транзакции в блоке TransInfo-->
                                        <xsl:for-each select="*[local-name() = 'TransInfo']">
                                            <tr>
                                                <xsl:choose>
                                                    <xsl:when test="*[local-name() = 'AccountSWIFT']">
                                                        <xsl:for-each select="*[local-name() = 'AccountSWIFT']">
                                                            <td>
                                                                <xsl:value-of select="../@OperKind"/>
                                                            </td>
                                                            <td>
                                                                <xsl:value-of select="../@TranType"/>
                                                            </td>
                                                            <td>
                                                                <xsl:value-of select="../@Trans"/>
                                                            </td>

                                                            <xsl:choose>
                                                                <xsl:when
                                                                        test="../@DC='C' and *[local-name() = 'OrderingParty']">
                                                                    <xsl:for-each
                                                                            select="*[local-name() = 'OrderingParty']">
                                                                        <td>
                                                                            <xsl:value-of
                                                                                    select="@*[name()='BIC' and string-length(normalize-space(name())) > 0][1]"/>
                                                                        </td>
                                                                        <td>
                                                                            <xsl:text>&#160;</xsl:text>
                                                                            <xsl:value-of
                                                                                    select="@*[name()='Account' and string-length(normalize-space(name())) > 0][1]"/>
                                                                        </td>
                                                                        <td class="txt">
                                                                            <xsl:for-each
                                                                                    select="*[local-name() = 'NameAddr']">
                                                                                <xsl:value-of select="text()"/>
                                                                                <xsl:choose>
                                                                                    <xsl:when test="position() != last()"><xsl:text>&#160;</xsl:text></xsl:when>
                                                                                </xsl:choose>
                                                                            </xsl:for-each>
                                                                        </td>
                                                                    </xsl:for-each>
                                                                </xsl:when>
                                                                <xsl:when
                                                                        test="../@DC='D' and *[local-name() = 'Beneficiary']">
                                                                    <xsl:for-each select="*[local-name() = 'Beneficiary']">
                                                                        <td>
                                                                            <xsl:value-of
                                                                                    select="@*[name()='BIC' and string-length(normalize-space(name())) > 0][1]"/>
                                                                        </td>
                                                                        <td>
                                                                            <xsl:text>&#160;</xsl:text>
                                                                            <xsl:value-of
                                                                                    select="@*[name()='Account' and string-length(normalize-space(name())) > 0][1]"/>
                                                                        </td>
                                                                        <td class="txt">
                                                                            <xsl:for-each
                                                                                    select="*[local-name() = 'NameAddr']">
                                                                                <xsl:value-of select="text()"/>
                                                                                <xsl:choose>
                                                                                    <xsl:when test="position() != last()"><xsl:text>&#160;</xsl:text></xsl:when>
                                                                                </xsl:choose>
                                                                            </xsl:for-each>
                                                                        </td>
                                                                    </xsl:for-each>
                                                                </xsl:when>
                                                                <xsl:otherwise>
                                                                    <td/>
                                                                    <td/>
                                                                    <td/>
                                                                </xsl:otherwise>
                                                            </xsl:choose>


                                                            <td class="txt">
                                                                <xsl:value-of select="../@Details"/>
                                                            </td>
                                                            <td class="sum">
                                                                <xsl:if test="../@DC='D'">
                                                                    <span>
                                                                        <xsl:call-template name="format-amount">
                                                                            <xsl:with-param name="amount" select="number(string(../@Sum))"/>
                                                                            <xsl:with-param name="asset" select="$Asset"/>
                                                                            <xsl:with-param name="scale" select="$Scale"/>
                                                                        </xsl:call-template>
                                                                    </span>
                                                                </xsl:if>
                                                            </td>
                                                            <td class="sum">
                                                                <xsl:if test="../@DC!='D'">
                                                                    <span>
                                                                        <xsl:call-template name="format-amount">
                                                                            <xsl:with-param name="amount" select="number(string(../@Sum))"/>
                                                                            <xsl:with-param name="asset" select="$Asset"/>
                                                                            <xsl:with-param name="scale" select="$Scale"/>
                                                                        </xsl:call-template>
                                                                    </span>
                                                                </xsl:if>
                                                            </td>
                                                        </xsl:for-each>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <td>
                                                            <xsl:value-of select="@OperKind"/>
                                                        </td>
                                                        <td>
                                                            <xsl:value-of select="@TranType"/>
                                                        </td>
                                                        <td>
                                                            <xsl:value-of select="@Trans"/>
                                                        </td>
                                                        <td/>
                                                        <td/>
                                                        <td/>
                                                        <td class="txt">
                                                            <xsl:value-of select="@Details"/>
                                                        </td>
                                                        <td class="sum">
                                                            <xsl:if test="@DC='D'">
                                                                <span>
                                                                    <xsl:call-template name="format-amount">
                                                                        <xsl:with-param name="amount" select="number(string(@Sum))"/>
                                                                        <xsl:with-param name="asset" select="$Asset"/>
                                                                        <xsl:with-param name="scale" select="$Scale"/>
                                                                    </xsl:call-template>
                                                                </span>
                                                            </xsl:if>
                                                        </td>
                                                        <td class="sum">
                                                            <xsl:if test="@DC!='D'">
                                                                <span>
                                                                    <xsl:call-template name="format-amount">
                                                                        <xsl:with-param name="amount" select="number(string(@Sum))"/>
                                                                        <xsl:with-param name="asset" select="$Asset"/>
                                                                        <xsl:with-param name="scale" select="$Scale"/>
                                                                    </xsl:call-template>
                                                                </span>
                                                            </xsl:if>
                                                        </td>
                                                    </xsl:otherwise>
                                                </xsl:choose>

                                            </tr>
                                        </xsl:for-each>
                                    </xsl:otherwise>

                                </xsl:choose>
                                <tr>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'total'"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="sum">
                                        <xsl:call-template name="format-amount">
                                            <xsl:with-param name="amount" select="number(string(@TurnoverDb))"/>
                                            <xsl:with-param name="asset" select="$Asset"/>
                                            <xsl:with-param name="scale" select="$Scale"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="sum">
                                        <xsl:call-template name="format-amount">
                                            <xsl:with-param name="amount" select="number(string(@TurnoverCr))"/>
                                            <xsl:with-param name="asset" select="$Asset"/>
                                            <xsl:with-param name="scale" select="$Scale"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td/>
                                    <td>
                                        <xsl:call-template name="locale-text">
                                            <xsl:with-param name="key" select="'closingBalance'"/>
                                        </xsl:call-template>
                                    </td>
                                    <td class="sum">
                                        <xsl:if test="not((@ClosingBalance&gt;0.00) or (@ClosingBalance=0.00 and @AccountType='P'))">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount" select="0-@ClosingBalance"/>
                                                <xsl:with-param name="asset" select="$Asset"/>
                                                <xsl:with-param name="scale" select="$Scale"/>
                                            </xsl:call-template>
                                        </xsl:if>
                                    </td>
                                    <td class="sum">
                                        <xsl:if test="(@ClosingBalance&gt;0.00) or (@ClosingBalance=0.00 and @AccountType='P')">
                                            <xsl:call-template name="format-amount">
                                                <xsl:with-param name="amount" select="@ClosingBalance"/>
                                                <xsl:with-param name="asset" select="$Asset"/>
                                                <xsl:with-param name="scale" select="$Scale"/>
                                            </xsl:call-template>
                                        </xsl:if>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <br/>
                        <br/>
                    </div>
                </xsl:for-each>
                <div class="move">
                    <br/>
                    <span>
                        <xsl:choose>
                            <xsl:when test="$lang = 'en'">
                                This document was transmitted in electronic form and signed by an enhanced qualified electronic
                                signature of the authorized person of non-banking credit institution - Central Counterparty National
                                Clearing Centre (Joint-Stock Company) in the electronic document management subsystem of CCP NCC (JSC).
                            </xsl:when>
                            <xsl:otherwise>
                                Данный документ передан в электронном виде и подписан усиленной квалифицированной электронной подписью
                                уполномоченного лица Небанковской кредитной организации-центрального контрагента «Национальный Клиринговый Центр»
                                (Акционерное общество) в подсистеме электронного документооборота НКО НКЦ (АО).
                            </xsl:otherwise>
                        </xsl:choose>
                    </span>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
