<?xml version="1.0" encoding="UTF-8"?>
<!-- 1.6.07.01 -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" 
				xmlns:oed="urn:moex-com:ncc:oed"
                exclude-result-prefixes="xs oed" version="2.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:strip-space elements="*"/>
    <xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
    <xsl:param name="lang" select="/*/@Lang"/>
    <xsl:template name="locale-text">
        <xsl:param name="key"/>
        <xsl:choose>
            <xsl:when test="$key = 'stressCollateralNotice'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Notice on minimum size of Collateral for Stress'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Уведомление о минимальном размере Обеспечения под стресс'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'dateFor'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Report Date:'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дата формирования отчета:'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'begDate'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Begin date of the specified minimum size of Collateral for Stress'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Дата начала действия минимального размера Обеспечения под стресс'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberName'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member name'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Наименование Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="$key = 'clearingMemberCode'">
                <xsl:choose>
                    <xsl:when test="$lang = 'en'">
                        <xsl:value-of select="'Clearing Member code'"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="'Идентификатор Участника клиринга'"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
			<xsl:when test="$key = 'settlementCode'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Settlement Code designed for recording Collateral for Stress'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Расчетный код для учета Обеспечения под стресс'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'market'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Market Code'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Код рынка'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'amount'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Minimum Amount of Collateral for Stress, rubles'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Минимальный размер Обеспечения под стресс, руб.'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$key = 'estimatedAmount'">
				<xsl:choose>
					<xsl:when test="$lang = 'en'">
						<xsl:value-of select="'Estimated Amount of Collateral for Stress, rubles'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Расчетный размер Обеспечения под стресс, руб.'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
            <xsl:otherwise>
				<xsl:value-of select="$key"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="locale-market">
        <xsl:param name="key"/>
		<xsl:choose>
			<xsl:when test="$lang = 'en'">
				<xsl:choose>
					<xsl:when test="$key = 'EQ'">
						<xsl:value-of select="'Securities market and Deposits market'"/>
					</xsl:when>
					<xsl:when test="$key = 'CU'">
						<xsl:value-of select="'Currency market and и market of Precious Metals'"/>
					</xsl:when>
					<xsl:when test="$key = 'FU'">
						<xsl:value-of select="'Derivatives market'"/>
					</xsl:when>
					<xsl:when test="$key = 'OT'">
						<xsl:value-of select="'OTC market'"/>
					</xsl:when>
					<xsl:when test="$key = 'CO'">
						<xsl:value-of select="'Commodities market'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$key"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$key = 'EQ'">
						<xsl:value-of select="'Фондовый рынок и рынок депозитов'"/>
					</xsl:when>
					<xsl:when test="$key = 'CU'">
						<xsl:value-of select="'Валютный рынок и рынок драгоценных металлов'"/>
					</xsl:when>
					<xsl:when test="$key = 'FU'">
						<xsl:value-of select="'Срочный рынок'"/>
					</xsl:when>
					<xsl:when test="$key = 'OT'">
						<xsl:value-of select="'Рынок СПФИ'"/>
					</xsl:when>
					<xsl:when test="$key = 'CO'">
						<xsl:value-of select="'Товарный рынок'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$key"/>
					</xsl:otherwise>
				</xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="pow">
        <xsl:param name="base"/>
        <xsl:param name="exponent"/>
        <xsl:param name="result"/>
        <xsl:choose>
            <xsl:when test="$exponent = 0">
                <xsl:value-of select="1"/>
            </xsl:when>
            <xsl:when test="$exponent = 1">
                <xsl:value-of select="$result * $base"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="pow">
                    <xsl:with-param name="base" select="$base"/>
                    <xsl:with-param name="exponent" select="$exponent - 1"/>
                    <xsl:with-param name="result" select="$result * $base"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

	<xsl:template name="format-amount">
		<xsl:param name="amount"/>
		<xsl:value-of select="format-number($amount div 100, '###,##0.00')"/>
	</xsl:template>

    <xsl:template name="format-date">
        <xsl:param name="yyyy-mm-dd"/>
        <xsl:choose>
            <xsl:when test="string-length($yyyy-mm-dd)>0">
                <xsl:variable name="yyyy" select="substring-before($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm-dd" select="substring-after($yyyy-mm-dd, '-')"/>
                <xsl:variable name="mm" select="substring-before($mm-dd, '-')"/>
                <xsl:variable name="dd" select="substring-after($mm-dd, '-')"/>
                <xsl:value-of select="concat($dd, '.',$mm,'.',$yyyy)"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="/">
        <html>
            <head>
                <meta charset="UTF-8"/>
                <style type="text/css">
                    @page {size: landscape;}
                    body { margin: 0; font-family: Arial, sans-serif; font-size:14px; }
                    table { border-collapse: collapse; font-size: 12px;}
                    td {mso-number-format:\@ !important; vertical-align:middle; mso-char-indent:0;}
                    .sum { text-align: right !important; }
                    .txt { text-align: left !important; }
                    .notice td, .notice th { border: 1px solid black; text-align: center; }
                    .notice th { background-color: #eee; text-align:center; }
                    .accent { font-weight: bold; font-size: 11pt; line-height: 1; }
                    .data { font-size: 11pt; vertical-align: top;}
                    .move { margin: 10mm; line-height:18px; }
                    .upper { text-transform: uppercase; }
                </style>
            </head>
            <body>
				<xsl:apply-templates select="*[local-name() = 'StressCollateralNotice']"/>
                <div class="move">
                    <br/>
                    <span>
                        <xsl:choose>
                            <xsl:when test="$lang = 'en'">
                                This document was transmitted in electronic form and signed by an enhanced qualified electronic
                                signature of the authorized person of non-banking credit institution - Central Counterparty National
                                Clearing Centre (Joint-Stock Company) in the electronic document management subsystem of CCP NCC (JSC).
                            </xsl:when>
                            <xsl:otherwise>
                                Данный документ передан в электронном виде и подписан усиленной квалифицированной электронной подписью
                                уполномоченного лица Небанковской кредитной организации-центрального контрагента «Национальный Клиринговый Центр»
                                (Акционерное общество) в подсистеме электронного документооборота НКО НКЦ (АО).
                            </xsl:otherwise>
                        </xsl:choose>
                    </span>
                </div>
            </body>
        </html>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'StressCollateralNotice']">
		<div class="move">
			<center>
				<span class="accent upper">
					<xsl:call-template name="locale-text">
						<xsl:with-param name="key" select="'stressCollateralNotice'"/>
					</xsl:call-template>
				</span>
				<br/>
				<br/>
			</center>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'dateFor'"/>
				</xsl:call-template>
				<xsl:text>&#160;</xsl:text>
			</span>
			<xsl:call-template name="format-date">
				<xsl:with-param name="yyyy-mm-dd" select="@DocDate"/>
			</xsl:call-template>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'clearingMemberName'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
			</span>
			<xsl:value-of select="@MemberName"/>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'clearingMemberCode'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
			</span>
				<xsl:value-of select="@Member"/>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'settlementCode'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
			</span>
			<xsl:value-of select="@SCode"/>
			<br/>
			<span class="accent">
				<xsl:call-template name="locale-text">
					<xsl:with-param name="key" select="'begDate'"/>
				</xsl:call-template>
				<xsl:text>&#58;&#160;</xsl:text>
			</span>
			<xsl:call-template name="format-date">
				<xsl:with-param name="yyyy-mm-dd" select="@BegDate"/>
			</xsl:call-template>
			<br/>
			<br/>
			<table class="notice" width="100%" cellpadding="4">
				<col width="40%"/>
				<col width="30%"/>
				<col width="30%"/>
				<thead>
					<tr>
						<th>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'market'"/>
							</xsl:call-template>
						</th>
						<th>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'amount'"/>
							</xsl:call-template>
						</th>
						<th>
							<xsl:call-template name="locale-text">
								<xsl:with-param name="key" select="'estimatedAmount'"/>
							</xsl:call-template>
						</th>
					</tr>
				</thead>
				<tbody>
					<xsl:apply-templates select="*[local-name() = 'StressCollateral']" />
				</tbody>
			</table>
			<br/>
			<br/>
		</div>
    </xsl:template>
   	<xsl:template match="*[local-name() = 'StressCollateral']">
		<tr>
			<td>
				<xsl:call-template name="locale-market">
					<xsl:with-param name="key" select="@Market"/>
				</xsl:call-template>
			</td>
			<td class="sum">
				<xsl:if test="@Amount">
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@Amount))"/>
						</xsl:call-template>
					</span>
				</xsl:if>
			</td>
			<td class="sum">
				<xsl:if test="@EstimatedAmount">
					<span>
						<xsl:call-template name="format-amount">
							<xsl:with-param name="amount" select="number(string(@EstimatedAmount))"/>
						</xsl:call-template>
					</span>
				</xsl:if>
			</td>
		</tr>
    </xsl:template>
</xsl:stylesheet>
